
! Copyright (C) 2022 J. K. Dewhurst and S. Sharma.
! This file is distributed under the terms of the GNU General Public License.
! See the file COPYING for license details.

subroutine rzmctmu(l,n,a,b,ld,c)
use modomp
implicit none
! arguments
integer, intent(in) :: l,n
complex(8), intent(in) :: a(l,n),b(l,n)
integer, intent(in) :: ld
complex(8), intent(out) :: c(ld,*)
! local variables
integer l2,i,j,nthd
! external functions
real(8), external :: ddot
l2=2*l
call holdthd(n,nthd)
!$OMP PARALLEL DO DEFAULT(SHARED) &
!$OMP PRIVATE(i) &
!$OMP NUM_THREADS(nthd) SCHEDULE(DYNAMIC)
do j=1,n
  do i=1,j
    c(i,j)=c(i,j)+ddot(l2,a(1,i),1,b(1,j),1)
  end do
end do
!$OMP END PARALLEL DO
call freethd(nthd)
end subroutine

